Bug 218552 - graphics/libGL: drop "makedepend" dependency
Summary: graphics/libGL: drop "makedepend" dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://cgit.freedesktop.org/mesa/mes...
Keywords: patch
Depends on: 218799
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-10 20:02 UTC by Jan Beich
Modified: 2017-05-12 18:53 UTC (History)
1 user (show)

See Also:
rezny: maintainer-feedback+


Attachments
v0 (504 bytes, patch)
2017-04-10 20:02 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-04-10 20:02:06 UTC
Created attachment 181668 [details]
v0

makedepend was removed in Mesa 9.1 (or ports r328711), see URL for the actual commit. This was tested in poudriere as part of bug 217016.

https://www.mesa3d.org/relnotes/9.1.html
Comment 1 Matthew Rezny freebsd_committer 2017-04-11 16:03:45 UTC
(In reply to Jan Beich from comment #0)

Good catch. It appears that spurious build dep has been in Makefile.common since kwm added that file with the Mesa 10.6.6 update a few years ago. That will be culled in the next update.
Comment 2 commit-hook freebsd_committer 2017-05-12 18:47:30 UTC
A commit references this bug:

Author: rezny
Date: Fri May 12 18:46:56 UTC 2017
New revision: 440699
URL: https://svnweb.freebsd.org/changeset/ports/440699

Log:
  Consolidate the Mesa ports, update to 17.0.4, and add Wayland option

  * libGL, libEGL, libglesv2, libglapi, and gbm have been moved into mesa-libs,
    graphics/dri has been renamed to mesa-dri, and USE_GL has been adjusted
  * mesa-libs has a new WAYLAND option that enables platform support in libEGL
  * mesa-dri now depends on graphics/s2tc for compressed texture support [1]
  * re-remove obsolete dependency on makedepends [2]
  * correct sed fix backported from 17.1 [3]

  PR:		218799 (exp-run), 212762 [1], 218552 [2], 218562 [3]
  Submitted by:	dbn [1], jbeich [2,3]
  Reported by:	afiskon@devzen.ru [1]
  Reviewed by:	kwm, johalun0@gmail.com
  Approved by:	portmgr, swills (mentor)
  Differential Revision:  https://reviews.freebsd.org/D10448

Changes:
  head/MOVED
  head/Mk/Scripts/qa.sh
  head/Mk/bsd.port.mk
  head/Mk/bsd.xorg.mk
  head/emulators/i386-wine/Makefile.i386
  head/emulators/i386-wine-devel/Makefile.i386
  head/graphics/Makefile
  head/graphics/copperspice/Makefile
  head/graphics/dri/
  head/graphics/gbm/
  head/graphics/libEGL/
  head/graphics/libGL/
  head/graphics/libglapi/
  head/graphics/libglesv2/
  head/graphics/libosmesa/Makefile
  head/graphics/mesa-dri/
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/Makefile.common
  head/graphics/mesa-dri/Makefile.targets
  head/graphics/mesa-dri/distinfo
  head/graphics/mesa-dri/files/
  head/graphics/mesa-dri/files/configure.ac
  head/graphics/mesa-dri/files/patch-configure
  head/graphics/mesa-dri/files/patch-src_gallium_state__trackers_clover_llvm_invocation.cpp
  head/graphics/mesa-dri/pkg-descr
  head/graphics/mesa-libs/
  head/graphics/mesa-libs/Makefile
  head/graphics/mesa-libs/Makefile.common
  head/graphics/mesa-libs/Makefile.targets
  head/graphics/mesa-libs/distinfo
  head/graphics/mesa-libs/files/
  head/graphics/mesa-libs/pkg-descr
  head/graphics/mesa-libs/pkg-plist
  head/graphics/s2tc/Makefile
  head/graphics/wayland/Makefile
  head/graphics/wayland/distinfo
  head/graphics/wayland/files/patch-Makefile.am
  head/graphics/wayland/files/patch-src_wayland-server.c
  head/graphics/wayland/files/patch-src_wayland-shm.c
  head/graphics/wayland/files/patch-tests_connection-test.c
  head/graphics/wayland/files/patch-tests_event-loop-test.c
  head/graphics/wayland/files/patch-tests_os-wrappers-test.c
  head/graphics/wayland/files/patch-tests_queue-test.c
  head/graphics/wayland/files/patch-tests_test-runner.c
  head/lang/clover/Makefile
  head/lang/clover/pkg-descr
  head/lang/clover/pkg-plist
  head/net/tigervnc/Makefile
  head/net/tigervnc-devel/Makefile
  head/science/iboview/Makefile
  head/x11/xorg/Makefile
  head/x11-toolkits/gtkada3/Makefile